<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Projects</title>
</head>

<body>
    <main>
        <div>
            <h1>My Projects</h1>
            <p>
                <a href="{% url 'create_project' %}">Create a new project</a>
            </p>
            {% if Projects == None %}
            <p>{{"You are not assigned to any projects"}}</p>
            {% endif %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of tasks</th>
                    </tr>
                </thead>
                <tbody>
                    {% for project in projects %}
                    <tr>
                        <td href="{% url 'int:id' %}">{{project.Name}}</td>
                        <td>{{project.tasks.all|length}}</td>
                    </tr>
                    {% endfor %}
                </tbody>

            </table>

        </div>
    </main>
</body>

</html>
